Subject: bug#78665: 31.0.50; Very slow saves

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Jun 2025 18:21:38 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 02 Jun 2025 09:33:43 -0400
> 
> > Two questions:
> >
> >   . was this file under Git, and if not, how did
> >     vc-git-resolve-when-done come into play?
> 
> Yes.
> 
> >   . why does vc-revert-buffer-internal ended up calling
> >     outline--hidden-headings-restore-paths? was outline-minor-mode
> >     active in the buffer?
> 
> Yes, I enable outline-minor-mode in all my ELisp buffers.

OK, so I guess this affects the above combination.

> > IOW, I'd like to better understand the scope of the use cases where
> > saving a buffer is now so much slower.  (How large was the buffer,
> > btw?)
> 
> `transient.el` is about 200kB.

10 sec to save that is awfully slow, I agree.

But I cannot find any change during the recent two months that could
explain that, maybe I missed something?